From 1cb8ed108ef8dc413f966d45256a042f5d9f2f39 Mon Sep 17 00:00:00 2001
From: Sean McGovern <gseanmcg@gmail.com>
Date: Sun, 12 Feb 2012 23:07:03 -0500
Subject: [PATCH] darwin: use -read_only_relocs flag only on 32-bit x86

Avoids the linker warning:
ld: warning: -read_only_relocs cannot be used with x86_64
---
 configure |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/configure b/configure
index 69a38ae..83e8691 100755
--- a/configure
+++ b/configure
@@ -1099,7 +1099,8 @@ if [ "$shared" = "yes" ]; then
     elif [ "$SYS" = "MACOSX" ]; then
         echo "SOSUFFIX=dylib" >> config.mak
         echo "SONAME=libx264.$API.dylib" >> config.mak
-        echo "SOFLAGS=-shared -dynamiclib -Wl,-single_module -Wl,-read_only_relocs,suppress -install_name \$(DESTDIR)\$(libdir)/\$(SONAME) $SOFLAGS" >> config.mak
+        [ "$ARCH" != "X86_64" ] && SOFLAGS="-Wl,-read_only_relocs,suppress $SOFLAGS"
+        echo "SOFLAGS=-shared -dynamiclib -Wl,-single_module -install_name \$(DESTDIR)\$(libdir)/\$(SONAME) $SOFLAGS" >> config.mak
     elif [ "$SYS" = "SunOS" ]; then
         echo "SOSUFFIX=so" >> config.mak
         echo "SONAME=libx264.so.$API" >> config.mak
-- 
1.7.9.2

